Last Comment Bug 719982 - Failure in testAddons_RestartlessExtensionWorksAfterRestart | Modal dialog has been found and processed
: Failure in testAddons_RestartlessExtensionWorksAfterRestart | Modal dialog ha...
Status: RESOLVED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Maniac Vlad Florin (:vladmaniac)
:
Mentors:
http://mozmill-ci.blargon7.com/#/func...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 13:29 PST by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2012-08-21 01:46 PDT (History)
6 users (show)
alex.lakatos.qa: in‑litmus+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
skip test (aurora, default) (2.57 KB, patch)
2012-01-23 08:54 PST, Remus Pop (:RemusPop)
alex.lakatos.qa: review-
Details | Diff | Splinter Review
skip test (aurora, default) [checked-in] (2.57 KB, patch)
2012-01-23 09:07 PST, Remus Pop (:RemusPop)
alex.lakatos.qa: review+
anthony.s.hughes: review+
Details | Diff | Splinter Review
patch v1.0 [checked-in] (4.37 KB, patch)
2012-05-18 05:34 PDT, Alex Lakatos[:AlexLakatos]
dave.hunt: review+
Details | Diff | Splinter Review
replaceClickPatch v1.0 [checked-in] (1.22 KB, patch)
2012-07-11 05:16 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review+
Details | Diff | Splinter Review
enableExtensionsLogging patch v1.0 [checked-in] (2.81 KB, patch)
2012-07-26 05:20 PDT, Alex Lakatos[:AlexLakatos]
hskupin: review+
Details | Diff | Splinter Review
fix patch v1.0 (2.45 KB, patch)
2012-08-16 05:54 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review-
Details | Diff | Splinter Review
fix patch v1.1 (3.31 KB, patch)
2012-08-16 06:21 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review-
Details | Diff | Splinter Review
fix patch v1.2 (4.39 KB, patch)
2012-08-16 06:50 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review+
Details | Diff | Splinter Review
[mozilla-esr10]fix patch v1.0 (4.69 KB, patch)
2012-08-17 01:09 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review+
Details | Diff | Splinter Review
[mozilla-aurora] fix patch v1.0 (4.67 KB, patch)
2012-08-17 06:00 PDT, Maniac Vlad Florin (:vladmaniac)
no flags Details | Diff | Splinter Review
[mozilla-beta][mozilla-release] fix patch v1.0 (4.66 KB, patch)
2012-08-17 06:14 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review+
Details | Diff | Splinter Review
[mozilla-aurora] fix patch v1.1 (4.67 KB, patch)
2012-08-21 00:04 PDT, Maniac Vlad Florin (:vladmaniac)
hskupin: review+
Details | Diff | Splinter Review

Description Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-01-20 13:29:45 PST
The following error happens on Aurora and Nightly on Windows only.

TimeoutError("Modal dialog has been found and processed")
Comment 1 Remus Pop (:RemusPop) 2012-01-23 08:54:07 PST
Created attachment 590733 [details] [diff] [review]
skip test (aurora, default)

Skips the test.
Comment 2 Alex Lakatos[:AlexLakatos] 2012-01-23 09:02:35 PST
Comment on attachment 590733 [details] [diff] [review]
skip test (aurora, default)

># Parent  8594ff7dfd94fb0b9f3f00ed3e626abcf961bc47
>Bug 719973 - disable testAddons_RestartlessExtensionWorksAfterRestart due to failure r=alex.lakatos, r=ashughes
Sorry I missed this earlier, but you got the wrong bug number in the commit message.
Comment 3 Remus Pop (:RemusPop) 2012-01-23 09:07:35 PST
Created attachment 590736 [details] [diff] [review]
skip test (aurora, default) [checked-in]

Sorry about that. Here it is with the corrected commit message.
Comment 4 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-01-23 22:39:22 PST
Comment on attachment 590736 [details] [diff] [review]
skip test (aurora, default) [checked-in]

Landed:
http://hg.mozilla.org/qa/mozmill-tests/rev/14d4b55253ea (default)
http://hg.mozilla.org/qa/mozmill-tests/rev/e5e3b347ff20 (mozilla-aurora)

Remus, if you can, please see if you can reproduce the failure on Beta and Release as we may need to disable the test there as well. We don't see failures since these branches don't get run nightly.
Comment 6 Dave Hunt (:davehunt) 2012-05-18 07:16:19 PDT
Comment on attachment 625073 [details] [diff] [review]
patch v1.0 [checked-in]

Please use r=dhunt when I'm the reviewer. In this case I've fixed the commit message and landed as:
http://hg.mozilla.org/qa/mozmill-tests/rev/35bc8c5cbb29

When we see this passing in our results we can transplant to the remaining branches.
Comment 7 Henrik Skupin (:whimboo) 2012-05-21 04:00:10 PDT
According to the results it works perfectly. Dave, would you mind to transplant those patches to the other branches?
Comment 9 Henrik Skupin (:whimboo) 2012-05-21 04:33:47 PDT
Alex, please make sure to update all the Litmus tests across those branches and c&p their URLs in here. Thanks.
Comment 11 Henrik Skupin (:whimboo) 2012-05-24 02:37:32 PDT
I had to backout the patch from default because it causes the installation dialog to stay open on OS X for at least the de locale.

http://hg.mozilla.org/qa/mozmill-tests/rev/425b679eddb5

Alex please check that on any OS X box with a couple of locales.
Comment 14 Henrik Skupin (:whimboo) 2012-05-24 10:31:58 PDT
We do not have any steps. When I logged into our OS X test machines today they both showed the installation dialog open for this particular test. On 10.7 it were even 3 processes of Firefox which haven't been closed.
Comment 15 Henrik Skupin (:whimboo) 2012-06-05 04:14:10 PDT
Please get this test re-enabled as soon as you can.
Comment 16 Henrik Skupin (:whimboo) 2012-06-05 04:16:35 PDT
Sorry, the last comment was for another bug. Alex, can you please run this test about 100 times across platforms? Just for the en-US locale.
Comment 17 Alex Lakatos[:AlexLakatos] 2012-06-05 11:46:57 PDT
(In reply to Henrik Skupin (:whimboo) from comment #16)
> Sorry, the last comment was for another bug. Alex, can you please run this
> test about 100 times across platforms? Just for the en-US locale.
Started to run them. Should I have them reported to the mozmill-crowd dashboard?
Comment 18 Henrik Skupin (:whimboo) 2012-06-06 02:31:21 PDT
No, it's fine when you do it locally on all platforms. If possible try to fill-up the memory and cause a higher CPU load while running the test. Putting the box under stress should probably easier trigger this problem if is still persists.
Comment 19 Alex Lakatos[:AlexLakatos] 2012-06-11 08:26:56 PDT
Out of 100 runs on each platforms, it failed only once on Ubuntu with "Modal dialog has been found and processed" while the cpu was under load. Rerunning the tests again on Ubuntu 100 times did not fail once. I think's it's safe to land, seeing as the issue you were seeing was on Mac and I can not reproduce that anymore.
Comment 20 Henrik Skupin (:whimboo) 2012-06-11 08:37:38 PDT
This test was mostly failing on Windows. So please also run tests on that platform. See the Mozmill results which version is the best.
Comment 21 Alex Lakatos[:AlexLakatos] 2012-06-13 10:05:35 PDT
Ran it 100 time again on XP, Vista and Windows 7. It did not fail.
Comment 22 Henrik Skupin (:whimboo) 2012-06-14 02:09:53 PDT
Ok, so I have pushed this again to default:
http://hg.mozilla.org/qa/mozmill-tests/rev/393c1afcd118

We will have to watch the status of the test in the next couple of days before landing it on aurora too.
Comment 23 Alex Lakatos[:AlexLakatos] 2012-06-18 02:01:04 PDT
It has not failed in the last 4 days.
Comment 24 Henrik Skupin (:whimboo) 2012-06-18 02:19:11 PDT
The patch doesn't apply cleanly. Please update it for the landing on aurora.
Comment 25 Alex Lakatos[:AlexLakatos] 2012-06-18 09:57:43 PDT
You do not need to apply the patch on aurora. When the fix first landed, Dave landed it on all branches, but when you backed it out, you only backed out default.
I was stating it did not fail in my comment in order to be able to close the bug.
Comment 26 Remus Pop (:RemusPop) 2012-06-20 23:50:57 PDT
It seems we have an intermittent failure. Failed once since landing:
http://mozmill-ci.blargon7.com/#/functional/report/c67fb1fc2ea8384105b843e32c1056fe
Comment 27 Henrik Skupin (:whimboo) 2012-06-21 00:47:41 PDT
The thing is that we never really check here if the install button is present.  have seen cases when httpd failed in loading a local resource and just put a 'bad request' message in the body. Given that this test would fail by waiting for the modal dialog.

I would propose that we exchange the click() call with waitThenClick().

For now lets experiment on the default branch. If we can find the real cause of the problem we probably can also fix all the other cases and branches.
Comment 28 Henrik Skupin (:whimboo) 2012-07-11 04:45:57 PDT
Alex, please follow up on this failure. I would have expected to get this addressed why earlier. If you don't have time please always find another person.
Comment 29 Alex Lakatos[:AlexLakatos] 2012-07-11 05:16:06 PDT
Created attachment 641013 [details] [diff] [review]
replaceClickPatch v1.0 [checked-in]

Here is a patch that replaces click with waitThenClick. But I don't think that's the problem. The same error appears even when the download takes too long. I know there's no actual download cause we are on localhost, but there is still a lag there. But we can certainly test the stability of the test with this patch on default.
The CI dashboard shows 4 failures this week, 2 on Mac on Firefox 16 and 2 on Linux on Firefox 15.
Comment 30 Henrik Skupin (:whimboo) 2012-07-11 06:19:25 PDT
Comment on attachment 641013 [details] [diff] [review]
replaceClickPatch v1.0 [checked-in]

Well, I have a suspicion and if it is true we will see another (new) failure which will tell us that the installation link does not exist. Looks good and I will land it right away.
Comment 31 Henrik Skupin (:whimboo) 2012-07-11 06:21:37 PDT
Comment on attachment 641013 [details] [diff] [review]
replaceClickPatch v1.0 [checked-in]

Landed on default:
http://hg.mozilla.org/qa/mozmill-tests/rev/8b77a8466fb8
Comment 32 Henrik Skupin (:whimboo) 2012-07-19 22:53:44 PDT
Alex, please follow-up on your assigned bugs regularly. Looks like no difference here. We are still failing.

Vlad, could this be related to the issue you have seen for the discovery pane tests, where the download fails?

I would suggest we disable this test again.
Comment 33 Alex Lakatos[:AlexLakatos] 2012-07-20 01:34:46 PDT
Since the (In reply to Henrik Skupin (:whimboo) from comment #32)
> Alex, please follow-up on your assigned bugs regularly. Looks like no
> difference here. We are still failing.
We are still failing with the same error, seems the waitThenClick did not help us get a different error message. It did not hurt the test either, gaining test stability. Do we want to back it out or port on other branches? The patch does not apply cleanly on other branches now.

> 
> I would suggest we disable this test again.
The skip test patch applies cleanly on all branches, you can go ahead and land it.
Comment 34 Maniac Vlad Florin (:vladmaniac) 2012-07-20 04:55:59 PDT
> 
> Vlad, could this be related to the issue you have seen for the discovery
> pane tests, where the download fails?
> 
> I would suggest we disable this test again.

I know that we are disabling tests when they fail, but it does not make sense to disable this one right now because of the issue I seen. Maybe our errors may help Dave or Blair in their answer. If the failing tests are skipped, we would not have anything to give to the developers, IMHO
Comment 35 Henrik Skupin (:whimboo) 2012-07-23 06:52:32 PDT
Vlad, so please get in touch with both and asking for feedback. I do not want to wait longer for a response on the bug. If nothing has changed by end of this week we will disable this test!
Comment 36 Alex Lakatos[:AlexLakatos] 2012-07-26 05:20:14 PDT
Created attachment 646099 [details] [diff] [review]
enableExtensionsLogging patch v1.0 [checked-in]

Enable extensions.logging as per Henrik and Vlad's IRC conversation
Comment 37 Henrik Skupin (:whimboo) 2012-07-26 05:34:37 PDT
Comment on attachment 646099 [details] [diff] [review]
enableExtensionsLogging patch v1.0 [checked-in]

http://hg.mozilla.org/qa/mozmill-tests/rev/b7b3a873054d
Comment 38 Maniac Vlad Florin (:vladmaniac) 2012-08-06 04:21:36 PDT
This failing again 
http://mozmill-ci.blargon7.com/#/functional/report/29fc09ba0c8360d637617903a01e6842

How can we make usage of extension logging pref to see the log?
Comment 39 Henrik Skupin (:whimboo) 2012-08-06 08:45:56 PDT
It looks like that it doesn't get logged to the console:

http://qa-masterblaster.mv.mozilla.com:8080/job/mozilla-central_functional/2487/console

Vlad, please run the testrun_functional.py script on your box and check if you can see the AOM output in the console. If not it looks like an issue with the automation script and needs to be fixed.
Comment 40 Henrik Skupin (:whimboo) 2012-08-08 10:12:29 PDT
Two days without a response here. Vlad, Alex, which updates do you have regarding my last comment?
Comment 41 Maniac Vlad Florin (:vladmaniac) 2012-08-08 23:44:42 PDT
(In reply to Henrik Skupin (:whimboo) from comment #40)
> Two days without a response here. Vlad, Alex, which updates do you have
> regarding my last comment?

Personally I missed comment 39. Lots of bugmail lately. I'll catch up with this shortly
Comment 42 Maniac Vlad Florin (:vladmaniac) 2012-08-09 00:21:14 PDT
(In reply to Henrik Skupin (:whimboo) from comment #40)
> Two days without a response here. Vlad, Alex, which updates do you have
> regarding my last comment?

I can see the log when running the functional testrun locally on our box. 
I have ran it on Ubuntu 11.04 x86 

TEST-PASS | /tmp/tmpR9ZVF9.mozmill-tests/tests/functional/restartTests/testAddons_RestartlessExtensionWorksAfterRestart/test1.js | test1.js::testInstallRestartlessExtension
*** LOG addons.xpi: Calling bootstrap method shutdown on restartless-addon@quality.mozilla.org version 3.0
*** LOG addons.xpi: shutdown
*** LOG addons.xpi-utils: shutdown
*** LOG addons.xpi-utils: Database closed
*** LOG addons.xpi: startup
*** LOG addons.xpi: checkForChanges
*** LOG addons.xpi-utils: Opening database
*** LOG addons.xpi: No changes found
*** LOG addons.xpi: Loading bootstrap scope from /tmp/tmpHDPDYy.mozrunner/extensions/restartless-addon@quality.mozilla.org
*** LOG addons.xpi: Calling bootstrap method startup on restartless-addon@quality.mozilla.org version 3.0
TEST-START | /tmp/tmpR9ZVF9.mozmill-tests/tests/functional/restartTests/testAddons_RestartlessExtensionWorksAfterRestart/test2.js | setupModule
Comment 43 Henrik Skupin (:whimboo) 2012-08-09 02:54:00 PDT
Ah, looks like that in our log on Mozmill CI the output has an offset, so yes it's also visible there.

Vlad, given that you have VPN access, please log into MV and check the notification emails from mozmill-ci for such failures. The first link will bring you to the test results log. Just click on console output in the left menu to see the whole output. Then please check for the above addon log entries.
Comment 45 Henrik Skupin (:whimboo) 2012-08-15 02:38:11 PDT
I still miss feedback here. So what are the latest findings?
Comment 46 Maniac Vlad Florin (:vladmaniac) 2012-08-16 02:19:19 PDT
(In reply to Henrik Skupin (:whimboo) from comment #45)
> I still miss feedback here. So what are the latest findings?

I afraid this is not reproducible on our machines. Several reports are available on the crowd dashboard, none point out this failure. 
Its really hard for me to propose a fix if I cannot see the actual test failing
Comment 47 Henrik Skupin (:whimboo) 2012-08-16 04:21:03 PDT
You should not try to reproduce this failure locally but to analyze the results on the CI instance. That's why I helped you on those steps. I'm waiting on a follow-up for comment 44.
Comment 48 Maniac Vlad Florin (:vladmaniac) 2012-08-16 05:32:39 PDT
The log is the same when the test fails or passes. I am beginning to think we need to save some time here, meaning: 

* adding extra timeout to waitForDialog(), like we do in all other add-ons tests which are currently reliable and not failing. 
* also, I am going to set the dialog delay to one second, this will save us another four seconds. 
 Judging the fact that we are using the default timeout from waitForDialog at the moment, its a possibility that we are failing because of this cause.
Comment 49 Maniac Vlad Florin (:vladmaniac) 2012-08-16 05:54:20 PDT
Created attachment 652412 [details] [diff] [review]
fix patch v1.0

* added extra timeout for extension download - even if the extension is local, under heavy loaded systems download can take some time - this can be easily verified locally 
* set the dialog timer to 1 second, this means aprox 4 sec gain in the waiting of the modal dialog process 

Note: I used this approach for other tests and made them reliable see for e.g. testAddons_changeTheme. Hope it will do the trick here also.
Comment 50 Henrik Skupin (:whimboo) 2012-08-16 06:13:03 PDT
Comment on attachment 652412 [details] [diff] [review]
fix patch v1.0

>+const PREF_INSTALL_DIALOG = "security.dialog_enable_delay";
>+const INSTALL_DIALOG_DELAY = 1000;
>+const TIMEOUT_DOWNLOAD = 25000;

As you know we separate those different type of constants into separate blocks.

> function setupModule() {
[..]
>+  // Set pref for add-on installation dialog timer 
>+  prefs.preferences.setPref(PREF_INSTALL_DIALOG, INSTALL_DIALOG_DELAY);

Where gets this pref reset?

>+  // Whitelist add the localhost
>+  addons.addToWhiteList(LOCAL_TEST_FOLDER);

nit: kill 'add the' in the comment

Otherwise I think it makes sense.
Comment 51 Maniac Vlad Florin (:vladmaniac) 2012-08-16 06:21:03 PDT
Created attachment 652422 [details] [diff] [review]
fix patch v1.1

* Clearing the pref now - that was a mistake in the previous patch
* Fixed nits
Comment 52 Henrik Skupin (:whimboo) 2012-08-16 06:39:10 PDT
Comment on attachment 652422 [details] [diff] [review]
fix patch v1.1

> function teardownModule() {
>   prefs.preferences.clearUserPref("extensions.logging.enabled");
>+  prefs.preferences.clearUserPref("security.dialog_enable_delay");

So lets also please use constants here and at the same time we can disable extension logging which is not necessary anymore.

>   prefs.preferences.clearUserPref("browser.urlbar.trimURLs");

What is that? I can't see that we are setting this pref.
Comment 53 Maniac Vlad Florin (:vladmaniac) 2012-08-16 06:42:11 PDT
 
> >   prefs.preferences.clearUserPref("browser.urlbar.trimURLs");
> 
> What is that? I can't see that we are setting this pref.

I have not set it with any of my patches but it is set in test2.js
function testRestartlessExtensionWorksAfterRestart() {
  // Change pref to show the full url in the location bar
  prefs.preferences.setPref("browser.urlbar.trimURLs", false);
We should probably set it in setupModule IMO
Comment 54 Maniac Vlad Florin (:vladmaniac) 2012-08-16 06:50:03 PDT
Created attachment 652431 [details] [diff] [review]
fix patch v1.2

* fixed hard coded strings, declared constants
Comment 55 Henrik Skupin (:whimboo) 2012-08-16 07:09:00 PDT
Comment on attachment 652431 [details] [diff] [review]
fix patch v1.2

Looks good. Lets cross fingers that this will fix the issue. Thanks Vlad!
Comment 56 Henrik Skupin (:whimboo) 2012-08-16 07:12:27 PDT
http://hg.mozilla.org/qa/mozmill-tests/rev/165b3940cbdb

I will re-trigger some tests which were failing today due to this problem. Reports will go to mozmill-crowd. So please check in about 1 hour. If we are good we can backport.
Comment 57 Maniac Vlad Florin (:vladmaniac) 2012-08-16 07:22:30 PDT
(In reply to Henrik Skupin (:whimboo) from comment #56)
> http://hg.mozilla.org/qa/mozmill-tests/rev/165b3940cbdb
> 
> I will re-trigger some tests which were failing today due to this problem.
> Reports will go to mozmill-crowd. So please check in about 1 hour. If we are
> good we can backport.

Excellent as I am still @office in one hour. I'll make sure I check, thanks Henrik!
Comment 59 Maniac Vlad Florin (:vladmaniac) 2012-08-16 08:28:40 PDT
The patch will not apply for mozilla-esr10. If we decide to backport, let me know so I can quickly upload the esr patch. Thanks
Comment 60 Henrik Skupin (:whimboo) 2012-08-17 00:51:24 PDT
(In reply to Maniac Vlad Florin (:vladmaniac) from comment #59)
> The patch will not apply for mozilla-esr10. If we decide to backport, let me
> know so I can quickly upload the esr patch. Thanks

Given the flag esr10 is affected. So yes, we have to backport the patch. So please attach it. I will backport the patch right after todays testrun for Nightly builds if all stay green.
Comment 61 Maniac Vlad Florin (:vladmaniac) 2012-08-17 01:09:41 PDT
Created attachment 652696 [details] [diff] [review]
[mozilla-esr10]fix patch v1.0

* adding the fix patch to correctly apply to mozilla-esr10
Comment 62 Henrik Skupin (:whimboo) 2012-08-17 05:41:22 PDT
I also can't merge this back to aurora. Not tested with beta or release. Please also come up with those patches.
Comment 63 Maniac Vlad Florin (:vladmaniac) 2012-08-17 05:45:01 PDT
(In reply to Henrik Skupin (:whimboo) from comment #62)
> I also can't merge this back to aurora. Not tested with beta or release.
> Please also come up with those patches.

Right away - it seems like this needs lots of testing
Comment 64 Henrik Skupin (:whimboo) 2012-08-17 05:47:43 PDT
Landed ESR patch for now:
http://hg.mozilla.org/qa/mozmill-tests/rev/98ff4ed60c65
Comment 65 Maniac Vlad Florin (:vladmaniac) 2012-08-17 06:00:08 PDT
Created attachment 652741 [details] [diff] [review]
[mozilla-aurora] fix patch v1.0

* this should work for mozilla-aurora
Comment 66 Maniac Vlad Florin (:vladmaniac) 2012-08-17 06:14:54 PDT
Created attachment 652744 [details] [diff] [review]
[mozilla-beta][mozilla-release] fix patch v1.0

* patch for mozilla-beta
Comment 67 Maniac Vlad Florin (:vladmaniac) 2012-08-17 06:21:11 PDT
We can transplant the beta patch to the release branch. It will apply and work as expected.
Comment 68 Maniac Vlad Florin (:vladmaniac) 2012-08-17 06:24:17 PDT
(In reply to Maniac Vlad Florin (:vladmaniac) from comment #67)
> We can transplant the beta patch to the release branch. It will apply and
> work as expected.

Also the aurora patch was wrong - contained an extra empty line somehow. The beta patch applies cleanly for aurora as well and can be transplanted. Sorry for the mess
Comment 69 Maniac Vlad Florin (:vladmaniac) 2012-08-17 06:25:53 PDT
Comment on attachment 652741 [details] [diff] [review]
[mozilla-aurora] fix patch v1.0

Obsoleting the wrong aurora patch
Comment 70 Henrik Skupin (:whimboo) 2012-08-17 06:38:48 PDT
Comment on attachment 652744 [details] [diff] [review]
[mozilla-beta][mozilla-release] fix patch v1.0

This still doesn't apply to the aurora branch.
Comment 71 Henrik Skupin (:whimboo) 2012-08-20 13:20:03 PDT
Vlad, I want to see an update for this patch. We have to check it in ASAP.
Comment 72 Maniac Vlad Florin (:vladmaniac) 2012-08-21 00:04:35 PDT
Created attachment 653671 [details] [diff] [review]
[mozilla-aurora] fix patch v1.1

* adding a patch for mozilla-aurora 

Sorry I missed this in by bugmail yesterday
Comment 73 Maniac Vlad Florin (:vladmaniac) 2012-08-21 00:06:20 PDT
Comment on attachment 652744 [details] [diff] [review]
[mozilla-beta][mozilla-release] fix patch v1.0

* It seems that we need different for aurora branch, but this still applies and works cleanly for mozilla-beta and release branches, therefore asking again for r
Comment 74 Henrik Skupin (:whimboo) 2012-08-21 01:46:51 PDT
Landed on remaining affected branches:
http://hg.mozilla.org/qa/mozmill-tests/rev/58a549390c45 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/9ecb0baa559e (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/d91e086189f8 (release)

Note You need to log in before you can comment on or make changes to this bug.